Subject: Re: bug#15124: 24.2; comment indentation functions are messed up

From: Noam Postavsky <[email-masked]>
Date: Tue, 13 Feb 2018 22:16:40 -0500

tags 15124 unreproducible
close 15124
quit

Alan Mackenzie <[email-masked]> writes:

> I've fired up "emacs-24.2 -Q", created a new buffer "asdf.c", M-x c-mode.
>
>> Contrary to what the cc-mode info (4.4 Filling and Line breaking) says,
>> M-j does not call c-indent-new-comment-line. This makes it impossible,
>> like I wrote at the beginnig, to get " *" inserted automatically when
>> pressing M-j to end a line when editing a comment. The result is:
>
> When I type in the text below, typing M-j where indicated, I get the
> desired " *" on the next line.  When I do C-h c M-j, I get told that M-j
> is bound to `c-indent-new-comment-line'.

Seems OP hasn't followed up, so there's no need to keep this open.